﻿@using PROJETMODELE.Models.BML.TG
@{
    DroitsBM droitUtilisateur = new DroitsBM();
    List<string> cmd = droitUtilisateur.CommandeExecutableUser(Session["Code_User"].ToString());

    Layout = null;
}

<script>
    // handle context menu clicks.
    var documentName = ["id:id:string", "libelle:Libelle:string:37%", "Utilisateur:Enregistrer Par:stringdrop:30%", "statut:Statut:stringdrop:30.3%"];
</script>

<input id="modUrl" value="/Caisse/modifier/" type="hidden" />
<input id="ajoutUrl" value="/Caisse/ajouter" type="hidden" />
<input id="LoardUrl" value="/Caisse/ajax" type="hidden" />
<input id="actifsupUrl" value="/Caisse/Activer_Suspendre/" type="hidden" />

<script src="~/Scripts/IndexJS.js"></script>
<div id="messages">
    <div>
        Confirmation
    </div>
    <div class="cont">
        <br />
        <div>
            Sélectionnez un seul enrégistrement !
        </div>
    </div>
</div>
<div id="confirm">
    <div>
        Confirmation
    </div>
    <div class="cont">
        <br />
        <div>
            Voulez-vous confirmer cette action ?
        </div>
        <div>
            <br />
            <button title="OK" type="button" id="ok" class="oufbutton"><i class="ouf-ok"></i>OK</button>
            <button title="Annuler" type="button" id="annuler" class="oufbutton"><i class="ouf-cancel"></i>Annuler</button>
        </div>
    </div>
</div>

<span style="font-weight: bold"></span>
<div class="boutons">
    <table>
        <tr>
            @if (cmd.Contains("Ajouter_Caisse"))// 
            {
                <td>
                    <button title='Ajouter' id='ajout' class='btn btn-default oufbutton SansIdentifiant'><i class='ouf-add'></i>Ajouter</button>
                </td>
            }
            @if (cmd.Contains("Modifier_Caisse"))//
            {
                <td>
                    <button title='Modifier' id='mod' class='btn btn-default oufbutton AvecIdentifiant'><i class='ouf-edit'></i>Modifier</button>
                </td>
            }

            @if (cmd.Contains("Activer_suspendre_Caisse"))
            {
                <td>
                    <button title='Actif/Susp' id='actifsup' class='btn btn-default oufbutton AvecIdentifiantSanspopup'><i class='ouf-switch'></i>Activer / Suspendre</button>
                </td>
            }
        </tr>
    </table>

</div>
<div id="grades"></div>
<div id='Menu'>
    <ul>
        @if (cmd.Contains("Modifier_Caisse"))//
        {
            <li><i class='ouf-edit'></i> Modifier</li>
        }
        @if (cmd.Contains("Activer_suspendre_Caisse"))//
        {
            <li><i class="ouf-switch"></i> Actif/Susp</li>
        }
    </ul>
</div>


